/*

This do-file replicates the specialization regressions from di Giovanni and Levchenko,

"Trade Openness and Volatility," REStat 2009.

In particular, Tables 1, 3, 4, 5, 7, C3, and C5.
*/


set more off

****************************************************
* OLS and IV: Table 1 for variance output per worker
****************************************************

reg lvar7099realoutput1_w lm7099rstott_sy lrealoutput1_winit, r
reg lvar7099realoutput1_w lm7099rstott_sy lrealoutput1_winit sectdum*, r
reg lvar7099realoutput1_w lm7099rstott_sy lrealoutput1_winit ctrydum*, r
reg lvar7099realoutput1_w lm7099rstott_sy lrealoutput1_winit ctrydum* sectdum*, r
ivreg lvar7099realoutput1_w lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrs_), r
ivreg lvar7099realoutput1_w lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrps_), r

*******************************************************
* OLS and IV: Table 3 for variance quantity and prices
*******************************************************

* Quantity

reg lvar7099indxnum lm7099rstott_sy lrealoutput1_winit, r
reg lvar7099indxnum lm7099rstott_sy  lrealoutput1_winit sectdum*, r 
reg lvar7099indxnum lm7099rstott_sy  lrealoutput1_winit ctrydum*, r
reg lvar7099indxnum lm7099rstott_sy  lrealoutput1_winit ctrydum* sectdum*, r
ivreg lvar7099indxnum  lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrs_), r
ivreg lvar7099indxnum lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrps_), r

* Prices

reg lvar7099price lm7099rstott_sy  lrealoutput1_winit, r
reg lvar7099price lm7099rstott_sy  lrealoutput1_winit sectdum*, r
reg lvar7099price lm7099rstott_sy  lrealoutput1_winit ctrydum*, r
reg lvar7099price lm7099rstott_sy  lrealoutput1_winit ctrydum* sectdum*, r
ivreg lvar7099price lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrs_), r
ivreg lvar7099price lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrps_), r

************************************************************
* OLS and IV: Table 4 for variance firms and output per firm
************************************************************

* No. of firms

reg lvar7099numestab lm7099rstott_sy lrealoutput1_winit, r
reg lvar7099numestab lm7099rstott_sy  lrealoutput1_winit sectdum*, r 
reg lvar7099numestab lm7099rstott_sy  lrealoutput1_winit ctrydum*, r
reg lvar7099numestab lm7099rstott_sy  lrealoutput1_winit ctrydum* sectdum*, r
ivreg lvar7099numestab  lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrs_), r
ivreg lvar7099numestab lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrps_), r

* Output per firm

reg lvar7099realoutput1_f lm7099rstott_sy  lrealoutput1_winit, r
reg lvar7099realoutput1_f lm7099rstott_sy  lrealoutput1_winit sectdum*, r
reg lvar7099realoutput1_f lm7099rstott_sy  lrealoutput1_winit ctrydum*, r
reg lvar7099realoutput1_f lm7099rstott_sy  lrealoutput1_winit ctrydum* sectdum*, r
ivreg lvar7099realoutput1_f lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrs_), r
ivreg lvar7099realoutput1_f lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrps_), r

*******************************************************
* OLS and IV: Table 5 for correlation output per worker
*******************************************************

reg c7099grealoutput1_w lm7099rstott_sy lrealoutput1_winit if corrsample==1, r
reg c7099grealoutput1_w lm7099rstott_sy lrealoutput1_winit sectdum* if corrsample==1, r
reg c7099grealoutput1_w lm7099rstott_sy lrealoutput1_winit ctrydum* if corrsample==1, r
reg c7099grealoutput1_w lm7099rstott_sy lrealoutput1_winit ctrydum* sectdum* if corrsample==1, r
ivreg c7099grealoutput1_w lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrs_) if corrsample==1, r
ivreg c7099grealoutput1_w lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrps_) if corrsample==1, r

*********************************************************
* OLS and IV: Table 7 for correlation quantity and prices
*********************************************************

* Quantity

reg c7099gindxnum lm7099rstott_sy lrealoutput1_winit if corrsample==1, r
reg c7099gindxnum lm7099rstott_sy  lrealoutput1_winit sectdum* if corrsample==1, r 
reg c7099gindxnum lm7099rstott_sy  lrealoutput1_winit ctrydum* if corrsample==1, r
reg c7099gindxnum lm7099rstott_sy  lrealoutput1_winit ctrydum* sectdum* if corrsample==1, r
ivreg c7099gindxnum  lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrs_) if corrsample==1, r
ivreg c7099gindxnum lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrps_) if corrsample==1, r

* Prices

reg c7099gprice lm7099rstott_sy  lrealoutput1_winit if corrsample==1, r
reg c7099gprice lm7099rstott_sy  lrealoutput1_winit sectdum* if corrsample==1, r
reg c7099gprice lm7099rstott_sy  lrealoutput1_winit ctrydum* if corrsample==1, r
reg c7099gprice lm7099rstott_sy  lrealoutput1_winit ctrydum* sectdum* if corrsample==1, r
ivreg c7099gprice lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrs_) if corrsample==1, r
ivreg c7099gprice lrealoutput1_winit ctrydum* sectdum* (lm7099rstott_sy = ltrps_) if corrsample==1, r

*****************************************************
* Robustness: Table C3 for variance output per worker
*****************************************************

reg lvar7099realoutput1_w lm7099rstott_sy lm7099realoutput1_w ctrydum* sectdum*, r
reg lvar7099realoutput1_w lm7099rstott_sy gm7099realoutput1_w ctrydum* sectdum*, r
reg lvar7099realoutput1_w lm7099rstott_sy lrealoutput1_winit m7099share ctrydum* sectdum*, r
reg lvar7099realoutput1_w lm7099rstott_sy lrealoutput1_winit lvar7099totgrowth sectdum*, r
reg lvar7099realoutput1_w lm7099rstott_sy lrealoutput1_winit int5 ctrydum* sectdum*, r
reg lvar7099realoutput1_w lm7099rstott_sy lrealoutput1_winit lvar7099realstottrade1 ctrydum* sectdum*, r
reg lvar7099realoutput1_w lm7099rstott_sy lrealoutput1_winit lvar7099realstottrade1 int1 ctrydum* sectdum*, r
reg lvar7099realoutput1_w lm7099rstott_sy lrealoutput1_winit lm7099sharemanuftrade sectdum*, r
reg lvar7099realoutput1_w lm7099rstott_sy lrealoutput1_winit rad_m7099pcrdbofgdp ctrydum* sectdum*, r

********************************************************
* Robustness: Table C5 for correlation output per worker
********************************************************

reg c7099grealoutput1_w lm7099rstott_sy lm7099realoutput1_w ctrydum* sectdum* if corrsample==1, r
reg c7099grealoutput1_w lm7099rstott_sy  gm7099realoutput1_w ctrydum* sectdum* if corrsample==1, r
reg c7099grealoutput1_w lm7099rstott_sy  lrealoutput1_winit m7099share ctrydum* sectdum* if corrsample==1, r
reg c7099grealoutput1_w lm7099rstott_sy lrealoutput1_winit lvar7099totgrowth sectdum* if corrsample==1, r
reg c7099grealoutput1_w lm7099rstott_sy lrealoutput1_winit int5 ctrydum* sectdum* if corrsample==1, r
reg c7099grealoutput1_w lm7099rstott_sy lrealoutput1_winit lvar7099realstottrade1 ctrydum* sectdum* if corrsample==1, r
reg c7099grealoutput1_w lm7099rstott_sy lrealoutput1_winit lvar7099realstottrade1 int1 ctrydum* sectdum* if corrsample==1, r
reg c7099grealoutput1_w lm7099rstott_sy lrealoutput1_winit lm7099sharemanuftrade sectdum* if corrsample==1, r
reg c7099grealoutput1_w lm7099rstott_sy lrealoutput1_winit rad_m7099pcrdbofgdp ctrydum* sectdum* if corrsample==1, r